Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.metadata.portlet
Class MarkupElement

    java.lang.Object
      org.jboss.portal.core.metadata.portlet.MarkupElement

    public class MarkupElement

extends java.lang.Object

A markup element.

Version:
  $Revision: 7228 $
Author:
  Julien Viet, Chris Laprun

Constructor Summary
`MarkupElement(java.lang.String name, java.lang.String bodyContent, boolean neverEmpty, MarkupAttribute[] attributes)`

Method Summary
`MarkupAttribute` | `getAttribute(int index)`
`MarkupAttribute` | `getAttribute(java.lang.String name)`
`int` | `getAttributeSize()`
`java.lang.String` | `getBodyContent()`
`java.lang.String` | `getName()`
`boolean` | `isNeverEmpty()`
`org.w3c.dom.Element` | `toElement(java.lang.String contextPath)`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(java.lang.String contextPath)`
`void` | `write(java.lang.String urlPrefix, java.io.Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MarkupElement

    public MarkupElement(java.lang.String name,
                         java.lang.String bodyContent,
                         boolean neverEmpty,
                         MarkupAttribute[] attributes)

Parameters:
  `name` - the element name
  `bodyContent` - the optional body content
  `neverEmpty` -
  `attributes` -

Method Detail

### getName

    public java.lang.String getName()

### getBodyContent

    public java.lang.String getBodyContent()

### isNeverEmpty

    public boolean isNeverEmpty()

### getAttributeSize

    public int getAttributeSize()

### getAttribute

    public MarkupAttribute getAttribute(int index)

### getAttribute

    public MarkupAttribute getAttribute(java.lang.String name)

### write

    public void write(java.lang.String urlPrefix,
                      java.io.Writer writer)
               throws org.jboss.portal.common.io.UndeclaredIOException

  Throws:
    `org.jboss.portal.common.io.UndeclaredIOException`

### toString

    public java.lang.String toString(java.lang.String contextPath)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toElement

    public org.w3c.dom.Element toElement(java.lang.String contextPath)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD